Skip to content
Ona Docs

ValidateRunnerConfiguration

POST/gitpod.v1.RunnerConfigurationService/ValidateRunnerConfiguration

Validates a runner configuration.

Use this method to:

  • Check configuration validity
  • Verify integration settings
  • Validate environment classes

Examples

  • Validate SCM integration:

    Checks if an SCM integration is valid.

    runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    scmIntegration:
      id: "integration-id"
      scmId: "github"
      host: "github.com"
      oauthClientId: "client_id"
      oauthPlaintextClientSecret: "client_secret"
Body ParametersJSONExpand Collapse
environmentClass: optional EnvironmentClass { id, runnerId, configuration, 3 more }
id: string

id is the unique identifier of the environment class

runnerId: string

runner_id is the unique identifier of the runner the environment class belongs to

configuration: optional array of FieldValue { key, value }

configuration describes the configuration of the environment class

key: optional string
value: optional string
description: optional string

description is a human readable description of the environment class

maxLength200
minLength3
displayName: optional string

display_name is the human readable name of the environment class

maxLength127
minLength3
enabled: optional boolean

enabled indicates whether the environment class can be used to create new environments.

runnerId: optional string
formatuuid
scmIntegration: optional object { id, host, issuerUrl, 6 more }
id: optional string

id is the unique identifier of the SCM integration

host: optional string
issuerUrl: optional string

issuer_url can be set to override the authentication provider URL, if it doesn’t match the SCM host.

oauthClientId: optional string

oauth_client_id is the OAuth app’s client ID, if OAuth is configured. If configured, oauth_client_secret must also be set.

oauthEncryptedClientSecret: optional string

oauth_encrypted_client_secret is the OAuth app’s client secret encrypted with the runner’s public key, if OAuth is configured. This can be used to e.g. validate an already encrypted client secret of an existing SCM integration.

formatbyte
oauthPlaintextClientSecret: optional string

oauth_plaintext_client_secret is the OAuth app’s client secret in clear text, if OAuth is configured. This can be set to validate any new client secret before it is encrypted and stored. This value will not be stored and get encrypted with the runner’s public key before passing it to the runner.

pat: optional boolean
scmId: optional string

scm_id references the scm_id in the runner’s configuration schema that this integration is for

virtualDirectory: optional string

virtual_directory is the virtual directory path for Azure DevOps Server (e.g., “/tfs”). This field is only used for Azure DevOps Server SCM integrations and should be empty for other SCM types. Azure DevOps Server APIs work without collection when PAT scope is ‘All accessible organizations’.

ReturnsExpand Collapse
environmentClass: optional EnvironmentClassValidationResult { configurationErrors, descriptionError, displayNameError, valid }
configurationErrors: optional array of FieldValidationError { error, key }
error: optional string
key: optional string
descriptionError: optional string
displayNameError: optional string
valid: optional boolean
scmIntegration: optional ScmIntegrationValidationResult { hostError, oauthError, patError, 2 more }
hostError: optional string
oauthError: optional string
patError: optional string
scmIdError: optional string
valid: optional boolean

ValidateRunnerConfiguration

curl https://app.gitpod.io/api/gitpod.v1.RunnerConfigurationService/ValidateRunnerConfiguration \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "environmentClass": {
    "configurationErrors": [
      {
        "error": "error",
        "key": "key"
      }
    ],
    "descriptionError": "descriptionError",
    "displayNameError": "displayNameError",
    "valid": true
  },
  "scmIntegration": {
    "hostError": "hostError",
    "oauthError": "oauthError",
    "patError": "patError",
    "scmIdError": "scmIdError",
    "valid": true
  }
}
Returns Examples
{
  "environmentClass": {
    "configurationErrors": [
      {
        "error": "error",
        "key": "key"
      }
    ],
    "descriptionError": "descriptionError",
    "displayNameError": "displayNameError",
    "valid": true
  },
  "scmIntegration": {
    "hostError": "hostError",
    "oauthError": "oauthError",
    "patError": "patError",
    "scmIdError": "scmIdError",
    "valid": true
  }
}